# Uses of Interface
waffle.windows.auth.IWindowsAccount

Packages that use IWindowsAccount
Package
Description
waffle.util
Waffle JNA Utility Package.
waffle.windows.auth
Waffle JNA Windows Authorization Package.
waffle.windows.auth.impl
Waffle JNA Windows Authorization Implementation Package.

## Uses of IWindowsAccount in waffle.util

Methods in waffle.util with parameters of type IWindowsAccount
Modifier and Type
Method
Description
`protected void`
WaffleInfo.`addAccountInfo(Document doc, Element node, IWindowsAccount account)`
Adds the account info.

## Uses of IWindowsAccount in waffle.windows.auth

Methods in waffle.windows.auth that return IWindowsAccount
Modifier and Type
Method
Description
`IWindowsAccount[]`
IWindowsIdentity.`getGroups()`
Group memberships.
`IWindowsAccount`
IWindowsAuthProvider.`lookupAccount(String username)`
Retrieve a security identifier (SID) for the account and the name of the domain or local computer on which the account was found.
Constructors in waffle.windows.auth with parameters of type IWindowsAccount
Modifier
Constructor
Description
``
`WindowsAccount(IWindowsAccount account)`
Instantiates a new windows account.

## Uses of IWindowsAccount in waffle.windows.auth.impl

Classes in waffle.windows.auth.impl that implement IWindowsAccount
Modifier and Type
Class
Description
`class`
`WindowsAccountImpl`
Windows Account.
Methods in waffle.windows.auth.impl that return IWindowsAccount
Modifier and Type
Method
Description
`IWindowsAccount[]`
WindowsIdentityImpl.`getGroups()`
`IWindowsAccount`
WindowsAuthProviderImpl.`lookupAccount(String username)`